# Functional Area Intelligence

Lookup functional area intelligence data for a company based on a company's ID, products, departments, and roles.

Results have an internal limit of 10.

It's also possible to specify what fields from the API should be returned. By default, only some fields are returned.

Endpoint: POST /data-api/v1/company/functional_area_intelligence
Security: authorization

## Request fields (application/json):

  - `fields` (array)
    List of fields to be selected.
    Example: ["company_id","product_name","department_name","role_name"]

  - `filters` (object, required)
    Filters to be used to narrow down the functional area intelligence data to return. Must provide either company_id OR company_ids, but not both.
    Example: {"company_id":"0252985AFE13886BC6FFA5CEBD75F4FA","departments":["0D32106BCB6DE321930CF34574EA388C","3D4C638DA5F85D025963F99FE90B1B1A","2C329EF27D7F8CB49D656D5502B9E939"],"products":[1150,805,25421,826…

  - `filters.company_id` (any)
    A unique hexadecimal identifier for the desired field.
    Example: 1698C53EBC888758570396E0334965C1

  - `filters.company_ids` (array)
    Array of company IDs

  - `filters.departments` (array, required)
    Return functional area intelligence records which are based on the provided department ids.

  - `filters.products` (array, required)
    Return functional area intelligence records which are based on the provided product ids.

  - `filters.roles` (array)
    Return functional area intelligence records which are based on the provided department role ids.

## Response 200 fields (application/json):

  - `count` (integer)

  - `data` (array)

  - `data.company_id` (any)
    A unique hexadecimal identifier for the desired field.
    Example: 1698C53EBC888758570396E0334965C1

  - `data.decision_maker_presence` (boolean)

  - `data.department_name` (string)

  - `data.department_signal_strength` (integer)

  - `data.department_usage_share` (integer)

  - `data.influencer_presence` (boolean)

  - `data.last_verified_at` (string)

  - `data.product_id` (integer)

  - `data.product_name` (string)

  - `data.role_id` (string)

  - `data.role_name` (string)

  - `data.role_signal_share` (integer)

  - `data.role_usage_share` (integer)

  - `data.signal_city_name` (string)

  - `data.signal_country_name` (string)

  - `data.signal_state_name` (string)

  - `data.total_count` (integer)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The token provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.detail` (null, required)

  - `errors.source` (null)

  - `errors.title` (string, required)
    Example: Not Found

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

